Package org.eclipse.ecf.core.sharedobject

# Class SharedObjectTypeDescription

java.lang.Object
org.eclipse.ecf.core.sharedobject.SharedObjectTypeDescription

All Implemented Interfaces:
  `Serializable`

public class SharedObjectTypeDescription extends Object implements Serializable
Description of shared object type. This class provides the information necessary to determine the type of a shared object instance. It is used by the SharedObjectDescription class to specify the local type of a shared object instance, and by ReplicaSharedObjectDescription to specify the type of a remote shared object instance.

See Also:
  - `SharedObjectDescription`
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`className`
`protected String`
`description`
`protected ISharedObjectInstantiator`
`instantiator`
`protected String`
`name`
`protected Map`
`typeProperties`

## Constructor Summary

Constructors
Constructor
Description
`SharedObjectTypeDescription()`
`SharedObjectTypeDescription(String className)`
`SharedObjectTypeDescription(String className, Map props)`
`SharedObjectTypeDescription(String name, ISharedObjectInstantiator instantiator, String desc)`
`SharedObjectTypeDescription(String name, ISharedObjectInstantiator instantiator, String desc, Map props)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getClassName()`
`String`
`getDescription()`
`ISharedObjectInstantiator`
`getInstantiator()`
`String`
`getName()`
`Map`
`getTypeProperties()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### name

protected String name

### instantiator

protected ISharedObjectInstantiator instantiator

### description

protected String description

### typeProperties

protected Map typeProperties

### className

protected String className

## Constructor Details

### SharedObjectTypeDescription

public SharedObjectTypeDescription()

Since:
  2.6

### SharedObjectTypeDescription

public SharedObjectTypeDescription(String name, ISharedObjectInstantiator instantiator, String desc, Map props)

### SharedObjectTypeDescription

public SharedObjectTypeDescription(String name, ISharedObjectInstantiator instantiator, String desc)

Since:
  2.3

### SharedObjectTypeDescription

public SharedObjectTypeDescription(String className, Map props)

### SharedObjectTypeDescription

public SharedObjectTypeDescription(String className)

Since:
  2.3

## Method Details

### getClassName

public String getClassName()

### getDescription

public String getDescription()

### getInstantiator

public ISharedObjectInstantiator getInstantiator()

### getName

public String getName()

### getTypeProperties

public Map getTypeProperties()

### toString

public String toString()

Overrides:
  `toString` in class `Object`